/* eslint-disable unicorn/filename-case */
import { arrayToEnum } from "./arrayToEnum.js";
export const IssueCode = arrayToEnum([
    "invalid_key_type",
    "invalid_type",
    "missing_keys",
    "unrecognized_keys",
    "not_ready",
    "too_small",
    "too_big",
    "query_error",
    "invalid_string",
    "invalid_join_type",
    "invalid_join",
]);
export class PgTError extends Error {
    get error() {
        return this.issue;
    }
    constructor(issue) {
        super();
        this.issue = issue;
    }
    toString() {
        return this.message;
    }
    get message() {
        return this.issue.message;
    }
    get code() {
        return this.issue.code;
    }
}
//# sourceMappingURL=PgTError.js.map