import { defineUntypedSchema } from "untyped";
const schema = defineUntypedSchema({
    enabled: {
        $default: false,
        $resolve: Boolean,
    },
    bundleFileName: {
        $default: "index.ts",
        $resolve: value => (typeof value === "string" ? value : "index.ts"),
    },
    domainTypeName: {
        $default: "{{ TYPE_NAME | default }}",
        $resolve: value => (typeof value === "string" ? value : "{{ TYPE_NAME | default }}"),
    },
    domainDataTypeName: {
        $default: "{{ TYPE_NAME | default }}Data",
        $resolve: value => (typeof value === "string" ? value : "{{ TYPE_NAME | default }}Data"),
    },
    enumTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ TYPE_NAME | default }}",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ TYPE_NAME | default }}"),
    },
    primaryKeyTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}PrimaryKey",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}PrimaryKey"),
    },
    tableTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}"),
    },
    tableDataTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}Data",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}Data"),
    },
    tableInsertParametersTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}InsertParameters",
        $resolve: value => typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}InsertParameters",
    },
    tableInsertParametersDataTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}InsertParametersData",
        $resolve: value => typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}{{ TABLE_NAME | default }}InsertParametersData",
    },
    schemaTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}"),
    },
    schemaDataTypeName: {
        $default: "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}Data",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}{{ SCHEMA_NAME | default }}Data"),
    },
    databaseTypeName: {
        $default: "{{ DATABASE_NAME | default }}",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}"),
    },
    databaseDataTypeName: {
        $default: "{{ DATABASE_NAME | default }}Data",
        $resolve: value => (typeof value === "string" ? value : "{{ DATABASE_NAME | default }}Data"),
    },
    fullExportTypeName: {
        $default: "Databases",
        $resolve: value => (typeof value === "string" ? value : "Databases"),
    },
    fullExportDataTypeName: {
        $default: "DatabasesData",
        $resolve: value => (typeof value === "string" ? value : "DatabasesData"),
    },
});
export default schema;
//# sourceMappingURL=BundleConfig.js.map